com.verisign.epp.interfaces.registry.v02

## Class EPPRegistryTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.interfaces.registry.v02.EPPRegistryTst

- All Implemented Interfaces:
    junit.framework.Test

      public class EPPRegistryTst
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryTst(java.lang.String name)` Allocates an `EPPRegistryTst` with a logical name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPRegistryContact` | `buildContact()` Build a populated contact object policy object to include in a zone.
    `static EPPRegistryDomain` | `buildDomain()` Build a populated domain object policy object to include in a zone with the DS Data Interface.
    `static EPPRegistryDomain` | `buildDomain(boolean aDsDataInterface, boolean aHostObjModel)` Build a populated domain object policy object to include in a zone.
    `static EPPRegistryHost` | `buildHost(boolean aHostObjModel)` Build a populated host object policy object to include in a zone.
    `static EPPRegistryZone` | `buildZoneInfo(EPPRegistryZoneName aZone, boolean aContactPolicy, boolean aDsDataInterface, boolean aHostObjModel)` Creates a populated `EPPRegistryZone` instance given a zone name.
    `void` | `handleException(java.lang.Exception aException)` Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `java.lang.String` | `makeZoneName()` Make a pseudo random zone name.
    `void` | `registryCheck(java.util.Map aZoneNames)` Unit test of `EPPRegistry.sendCheck`.
    `void` | `registryCreate(java.lang.String aZoneName, boolean aShouldSucceed)` Unit test of `EPPRegistry.sendCreate`.
    `void` | `registryDelete(java.lang.String aZoneName, boolean aShouldSucceed)` Unit test of `EPPRegistry.sendDelete`.
    `void` | `registryInfo(EPPRegistryInfoCmd.Mode aMode, java.lang.String aZoneName, EPPRegistryInfoCmd.Scope aScope)` Test for the registry info command that supports the three forms of getting detailed information for an individual zone by setting the `aZoneName` parameter to a non-`null` value, getting a summary of all zones by setting the `aScope` parameter to a non-`null` value, and getting the system information by setting the `aSystem` parameter to true.
    `void` | `registryUpdate(java.lang.String aZoneName, boolean aShouldSucceed)` Unit test of `EPPRegistry.sendUpdate`.
    `protected void` | `setUp()` Setup the test by establishing an EPP session with the server.
    `static junit.framework.Test` | `suite()`
    `protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
    `void` | `testRegistry()` Test the Registry Mapping by doing the following: Create a set of zones. Update a zone. Check the availability (existence) of the zones. Get all summary information for the zones. Get detailed zone information for some zones. Get registry system information. Delete a set of zones.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRegistryTst

          public EPPRegistryTst(java.lang.String name)

      Allocates an `EPPRegistryTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.
      Parameters:
        `name` - Logical name of the test

  - ### Method Detail

    - #### testRegistry

          public void testRegistry()

      Test the Registry Mapping by doing the following:
      1. Create a set of zones.
      2. Update a zone.
      3. Check the availability (existence) of the zones.
      4. Get all summary information for the zones.
      5. Get detailed zone information for some zones.
      6. Get registry system information.
      7. Delete a set of zones.

    - #### registryCheck

          public void registryCheck(java.util.Map aZoneNames)

      Unit test of `EPPRegistry.sendCheck`.
      Parameters:
        `aZoneNames` - Zone names to check

    - #### registryCreate

          public void registryCreate(java.lang.String aZoneName,
                                     boolean aShouldSucceed)

      Unit test of `EPPRegistry.sendCreate`.
      Parameters:
        `aZoneName` - Name of zone to create
        `aShouldSucceed` - is the test expected to succeed?

    - #### registryDelete

          public void registryDelete(java.lang.String aZoneName,
                                     boolean aShouldSucceed)

      Unit test of `EPPRegistry.sendDelete`.
      Parameters:
        `aZoneName` - Name of zone to delete
        `aShouldSucceed` - is the test expected to succeed?

    - #### registryUpdate

          public void registryUpdate(java.lang.String aZoneName,
                                     boolean aShouldSucceed)

      Unit test of `EPPRegistry.sendUpdate`.
      Parameters:
        `aZoneName` - Name of zone to update
        `aShouldSucceed` - is the test expected to succeed?

    - #### registryInfo

          public void registryInfo(EPPRegistryInfoCmd.Mode aMode,
                                   java.lang.String aZoneName,
                                   EPPRegistryInfoCmd.Scope aScope)

      Test for the registry info command that supports the three forms of getting detailed information for an individual zone by setting the `aZoneName` parameter to a non-`null` value, getting a summary of all zones by setting the `aScope` parameter to a non-`null` value, and getting the system information by setting the `aSystem` parameter to true. There can be only one form used as a time.
      Parameters:
        `aMode` - One of the support info modes ( `EPPRegistryInfoCmd.Mode.name`, `EPPRegistryInfoCmd.Mode.all`, or `EPPRegistryInfoCmd.Mode.system`)
        `aZoneName` - Used with the "name" info mode that represents the zone name to query. Set to `null` with the `EPPRegistryInfoCmd.Mode.all` or `EPPRegistryInfoCmd.Mode.system` modes.
        `aScope` - Used with the "all" info mode that represents the scope of the zones to query. Set to `null` with the `EPPRegistryInfoCmd.Mode.name` or `EPPRegistryInfoCmd.Mode.system` modes.

    - #### makeZoneName

          public java.lang.String makeZoneName()

      Make a pseudo random zone name.
      Returns:
        pseudo random zone name

    - #### handleException

          public void handleException(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### suite

          public static junit.framework.Test suite()

    - #### setUp

          protected void setUp()

      Setup the test by establishing an EPP session with the server.
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### buildZoneInfo

          public static EPPRegistryZone buildZoneInfo(EPPRegistryZoneName aZone,
                                                      boolean aContactPolicy,
                                                      boolean aDsDataInterface,
                                                      boolean aHostObjModel)

      Creates a populated `EPPRegistryZone` instance given a zone name.
      Parameters:
        `aZone` - Zone name to create a populated `EPPRegistryZone` instance for.
        `aContactPolicy` - Include the contact policy? If `true` the contact policy information will be included in the response; otherwise there will be no contact policy information.
        `aDsDataInterface` - Is the DNSSEC DS data interface supported? If `true` the DS data interface is supported; otherwise the Key data interface is supported.
        `aHostObjModel` - Is the host object model used in RFC 5731? If `true` then the host object model is used; otherwise the host attribute model is used.
      Returns:
        Populated `EPPRegistryZone` instance

    - #### buildDomain

          public static EPPRegistryDomain buildDomain()

      Build a populated domain object policy object to include in a zone with the DS Data Interface.
      Returns:
        A populated `EPPRegistryDomain` instance

    - #### buildDomain

          public static EPPRegistryDomain buildDomain(boolean aDsDataInterface,
                                                      boolean aHostObjModel)

      Build a populated domain object policy object to include in a zone.
      Parameters:
        `aDsDataInterface` - Is the DNSSEC DS data interface supported? IF `true` the DS data interface is supported; otherwise the Key data interface is supported.
        `aHostObjModel` - Is the host object model used in RFC 5731? If `true` then the host object model is used; otherwise the host attribute model is used.
      Returns:
        A populated `EPPRegistryDomain` instance

    - #### buildContact

          public static EPPRegistryContact buildContact()

      Build a populated contact object policy object to include in a zone.
      Returns:
        A populated `EPPRegistryContact` instance

    - #### buildHost

          public static EPPRegistryHost buildHost(boolean aHostObjModel)

      Build a populated host object policy object to include in a zone.
      Parameters:
        `aHostObjModel` - Is the host object model used in RFC 5731? If `true` then the host object model is used; otherwise the host attribute model is used.
      Returns:
        A populated `EPPRegistryHost` instance